<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Start_server extends CI_Controller
{
    private $error = 0;
    
    function __construct() 
    {
        parent::__construct();
    }
	
	public function index()
	{       
        try {
            
            $connection = @fsockopen('localhost', '8080');

            if (is_resource($connection))
            {
                echo 'Open!';
                die();
            }
            elseif ($this->error == 3) 
            {
                $msg = 'Erro ao inicializar o chat.';
                echo($msg);
                log_message('error', $msg);
            }
            else
            {
                $puid = exec("php ".__DIR__."/server.php > /dev/null 2>&1 &",$output,$return_var);
                
                sleep(1);
                
                $this->error++;
                
                return $this->index();
            }
			
        } catch (Exception $e) {
        echo 'Exceção capturada: ',  $e->getMessage(), "\n";
        }
	}
	
	public function dirt()
	{
	    echo(__DIR__);
	}
	
	/*public function teste()
	{
	    $fp = @fsockopen('localhost', '8080',$errno, $errstr);
	    
	    if (!$fp) {
            echo "ERRO: $errno - $errstr<br />\n";
        } else {
            echo('ok');
        }
	}*/
}	

?>